summaryrefslogtreecommitdiffstats
path: root/openwrt/package/dnsmasq/files/S50dnsmasq
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-25 08:11:12 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-25 08:11:12 +0000
commitf34412724d20d3716b545d4a5c87ac1e76604044 (patch)
tree498618a9276e6e8c3dcc4b6f2a57fe9fb1787939 /openwrt/package/dnsmasq/files/S50dnsmasq
parent01c6ee539c7ca5316ef47310a647ce2bf9130ce8 (diff)
sync dnsmasq with whiterussian
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@1556 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/dnsmasq/files/S50dnsmasq')
-rwxr-xr-xopenwrt/package/dnsmasq/files/S50dnsmasq25
1 files changed, 25 insertions, 0 deletions
diff --git a/openwrt/package/dnsmasq/files/S50dnsmasq b/openwrt/package/dnsmasq/files/S50dnsmasq
new file mode 100755
index 000000000..4f3721846
--- /dev/null
+++ b/openwrt/package/dnsmasq/files/S50dnsmasq
@@ -0,0 +1,25 @@
+#!/bin/sh
+. /etc/functions.sh
+
+# interface to use for DHCP
+iface=lan
+
+ifname=$(nvram get ${iface}_ifname)
+ipaddr=$(nvram get ${iface}_ipaddr)
+netmask=$(nvram get ${iface}_netmask)
+
+# check for existing DHCP server
+udhcpc -n -q -R -s /bin/true -i $ifname >&- || {
+
+ ipaddr=$(ip2int $ipaddr)
+ netmask=$(ip2int ${netmask:-255.255.255.0})
+ network=$((ipaddr&netmask))
+
+ start=$(nvram get dhcp_start)
+ start=$((network+${start:-100}))
+ end=$(nvram get dhcp_num)
+ end=$((start+${end:-150}))
+
+ args="-l /tmp/dhcp.leases -K -F $(int2ip $start),$(int2ip $end),$(int2ip $netmask),12h"
+}
+dnsmasq ${args}